whatsapp
Update contact
Update an existing WhatsApp contact. All fields are optional; only provided fields will be updated. Custom fields are merged with existing values. Set a custom field to null to remove it.
AuthorizationBearer <token>
API key authentication - use your Zernio API key as a Bearer token
In: header
Path Parameters
contactIdstring
Contact ID
name?string
Contact name
email?string
Contact email
company?string
Company name
tags?array<string>
Tags (replaces existing)
groups?array<string>
Groups (replaces existing)
isOptedIn?boolean
Opt-in status (changes are timestamped)
isBlocked?boolean
Block status
customFields?
Custom fields to merge (set value to null to remove a field)
notes?string
Notes about the contact
Response Body
application/json
application/json
application/json
curl -X PUT "https://zernio.com/api/v1/whatsapp/contacts/string" \ -H "Content-Type: application/json" \ -d '{ "name": "John Doe Updated", "tags": [ "vip", "premium" ], "customFields": { "plan": "enterprise", "remove_me": null } }'{
"success": true,
"contact": {
"id": "string",
"phone": "string",
"name": "string",
"email": "string",
"company": "string",
"tags": [
"string"
],
"groups": [
"string"
],
"isOptedIn": true,
"isBlocked": true,
"customFields": {},
"notes": "string",
"updatedAt": "2019-08-24T14:15:22Z"
}
}{
"error": "Unauthorized"
}{
"error": "Not found"
}